Bug 1302288 - Review Request: perl-Debug-ShowStuff - A collection of handy debugging routines
Review Request: perl-Debug-ShowStuff - A collection of handy debugging routines
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jitka Plesnikova
Fedora Extras Quality Assurance
:
Depends On: 1302249 1302285
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-27 06:43 EST by Petr Šabata
Modified: 2016-04-01 08:42 EDT (History)
2 users (show)

See Also:
Fixed In Version: perl-Debug-ShowStuff-1.16-1.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-01 08:42:39 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jplesnik: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Petr Šabata 2016-01-27 06:43:30 EST
Spec URL: https://psabata.fedorapeople.org/pkgs/perl-Debug-ShowStuff/perl-Debug-ShowStuff.spec
SRPM URL: https://psabata.fedorapeople.org/pkgs/perl-Debug-ShowStuff/perl-Debug-ShowStuff-1.16-1.fc23.src.rpm
Description:
Debug::ShowStuff grew dynamically from my needs in debugging code. I found
myself doing the same tasks over and over... displaying the keys and values
in a hash, displaying the elements in an array, displaying the output of
STDERR in a web page, etc. Debug::ShowStuff began as two or three of my
favorite routines and grew as I added to that collection. Finally I decided
to publish these tools in the hope that other Perl programmers will find
them useful.
Fedora Account System Username: psabata
Comment 1 Jitka Plesnikova 2016-01-27 10:53:57 EST
Source file is ok
Summary is ok
License is ok
Description is ok
URL and Source0 are ok
All tests passed
BuildRequires are ok

$ rpm -qp --requires perl-Debug-ShowStuff-1.16-1.fc24.noarch.rpm | sort | uniq -c
      1 perl(:MODULE_COMPAT_5.22.1)
      1 perl(:VERSION) >= 5.5.0
      1 perl(Carp)
      1 perl(Class::ISA)
      1 perl(Devel::StackTrace)
      1 perl(Exporter)
      1 perl(Fcntl)
      1 perl(FileHandle)
      1 perl(Filter::Util::Call)
      1 perl(IO::Handle)
      1 perl(IO::Seekable)
      1 perl(MemHandle)
      1 perl(Scalar::Util)
      1 perl(String::Util)
      1 perl(Symbol)
      1 perl(Term::ReadKey)
      1 perl(Text::TabularDisplay)
      1 perl(Tie::IxHash)
      1 perl(constant)
      1 perl(overload)
      1 perl(strict)
      1 perl(vars)
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1

Binary requires are Ok.

$ rpm -qp --provides perl-Debug-ShowStuff-1.16-1.fc24.noarch.rpm | sort | uniq -c
      1 perl(Debug::ShowStuff) = 1.16
      1 perl(Debug::ShowStuff::CloseGlobalHandle)
      1 perl(Debug::ShowStuff::Indent)
      1 perl(Debug::ShowStuff::SeparatePrint)
      1 perl(Debug::ShowStuff::SeparatePrint::Tie)
      1 perl(Debug::ShowStuff::ShowStdErr)
      1 perl(Debug::ShowStuff::ShowStdErr::HandleOb)
      1 perl(Debug::ShowStuff::ShowVar) = 0.11
      1 perl(Debug::ShowStuff::TempShowStuff)
      1 perl(Debug::ShowStuff::Timer)
      1 perl-Debug-ShowStuff = 1.16-1.fc24
Binary provides are Ok.

$ rpmlint ./perl-Debug-ShowStuff*
2 packages and 1 specfiles checked; 0 errors, 0 warnings.

Rpmlint is ok

The package looks good.
Comment 2 Gwyn Ciesla 2016-01-28 10:02:25 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/perl-Debug-ShowStuff
Comment 3 Fedora Update System 2016-02-15 11:13:02 EST
perl-Debug-ShowStuff-1.16-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-c000037eee
Comment 4 Fedora Update System 2016-02-15 11:13:02 EST
perl-Debug-ShowStuff-1.16-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-6ae3442a79
Comment 5 Fedora Update System 2016-02-15 11:13:03 EST
perl-Debug-ShowStuff-1.16-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-c000037eee
Comment 6 Fedora Update System 2016-02-15 11:13:04 EST
perl-Debug-ShowStuff-1.16-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-6ae3442a79
Comment 7 Fedora Update System 2016-02-15 11:13:06 EST
perl-Debug-ShowStuff-1.16-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-c000037eee
Comment 8 Fedora Update System 2016-02-15 11:13:08 EST
perl-Debug-ShowStuff-1.16-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-c000037eee
Comment 9 Fedora Update System 2016-02-17 01:27:04 EST
perl-Debug-ShowStuff-1.16-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-6ae3442a79
Comment 10 Fedora Update System 2016-02-17 01:29:06 EST
perl-Debug-ShowStuff-1.16-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-c000037eee
Comment 11 Fedora Update System 2016-02-26 02:23:24 EST
perl-Debug-ShowStuff-1.16-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2016-02-26 20:19:49 EST
perl-Debug-ShowStuff-1.16-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.